Package com.fasterxml.jackson.datatype.jsr310.ser.key

# Class ZonedDateTimeKeySerializer

java.lang.Object
com.fasterxml.jackson.databind.JsonSerializer<ZonedDateTime>
com.fasterxml.jackson.datatype.jsr310.ser.key.ZonedDateTimeKeySerializer

All Implemented Interfaces:
  `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable`

public class ZonedDateTimeKeySerializer extends com.fasterxml.jackson.databind.JsonSerializer<ZonedDateTime>

## Nested Class Summary

## Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

`com.fasterxml.jackson.databind.JsonSerializer.None`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ZonedDateTimeKeySerializer`
`INSTANCE`

## Method Summary

Modifier and Type
Method
Description
`void`
`serialize(ZonedDateTime value, com.fasterxml.jackson.core.JsonGenerator gen, com.fasterxml.jackson.databind.SerializerProvider serializers)`

### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

`acceptJsonFormatVisitor, getDelegatee, handledType, isEmpty, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, serializeWithType, unwrappingSerializer, usesObjectId, withFilterId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final ZonedDateTimeKeySerializer INSTANCE

## Method Details

### serialize

public void serialize(ZonedDateTime value, com.fasterxml.jackson.core.JsonGenerator gen, com.fasterxml.jackson.databind.SerializerProvider serializers) throws IOException, com.fasterxml.jackson.core.JsonProcessingException

Specified by:
  `serialize` in class `com.fasterxml.jackson.databind.JsonSerializer<ZonedDateTime>`
Throws:
  `IOException`
  `com.fasterxml.jackson.core.JsonProcessingException`